<?php
	function ShortCode_Handler_infgroup($attr, $text) {
		
		if (!Core::moduleIsActive('informationsystem')) {
			return ShortCode_Model::showmessage(Core::_('shortcode.mod_infsys_off'));
		}
		
		if (!is_array($attr)) {
			return '';
		}
		
		foreach($attr as $key => $value) {
			$attr[$key] = str_replace('*','',$value);
		}

		$oXsl = ShortCode_Model::checkXSL($attr);
		if (!($oXsl instanceof Xsl_Model)) {
			return $oXsl;
		}

		if ( isset($attr['id'] ) ) {
			$item_id = $attr['id'];
		} else {
			$item_id = $text;
		}
		if ($item_id == 'false') {
			$item_id = false;
		} else {
			$item_id = intval($item_id);
		}
		if ($item_id == false or $item_id >= 0) {
			$informationsystem_id = 0;
			if ($item_id !== false) {
				$oGroup = Core_Entity::factory('Informationsystem_Group',$item_id);
				if (is_null($oGroup->name)) {
					return ShortCode_Model::showmessage(Core::_('shortcode.notinfsys_group'));
				}
				$informationsystem_id = $oGroup->informationsystem->id;
			} elseif ($item_id === 0) {
				if ( isset($attr['inf_id'] ) ) {
					$informationsystem_id = $attr['inf_id'];
				} else {
					return ShortCode_Model::showmessage(Core::_('shortcode.nullinfsys_group'));
				}
			} elseif ($item_id === false) {
				if ( isset($attr['inf_id'] ) ) {
					$informationsystem_id = $attr['inf_id'];
				} else {
					return ShortCode_Model::showmessage(Core::_('shortcode.falseinfsys_group'));
				}
			}
			
			$oInformationsystem = Core_Entity::factory('informationsystem', $informationsystem_id);
			if (is_null($oInformationsystem->name)) {
				return ShortCode_Model::showmessage(Core::_('shortcode.noneinfsys'));
			}
					
				$Informationsystem_Controller_Show = new Informationsystem_Controller_Show($oInformationsystem);
				$Informationsystem_Controller_Show->group($item_id);
				$Informationsystem_Controller_Show
					->xsl($oXsl);
				if (isset($attr['limit'])) {
					$Informationsystem_Controller_Show->limit(intval($attr['limit']));
				} else {
					$Informationsystem_Controller_Show->limit($oInformationsystem->items_on_page);
				}
				if (isset($attr['itemsproperties']) && $attr['itemsproperties'] != 'false') {
					if ( strtolower($attr['itemsproperties']) == 'true') {
						$Informationsystem_Controller_Show->itemsProperties(TRUE);
					} else {
						$ids = explode(',', $attr['itemsproperties']);
						$Informationsystem_Controller_Show->itemsProperties($ids);
					}
				}
				if (isset($attr['groupsproperties']) && $attr['groupsproperties'] != 'false') {
					if ( strtolower($attr['groupsproperties']) == 'true') {
						$Informationsystem_Controller_Show->groupsProperties(TRUE);
					} else {
						$ids = explode(',', $attr['groupsproperties']);
						$Informationsystem_Controller_Show->groupsProperties($ids);
					}
				}
				
				if (isset($attr['rand']) and intval($attr['rand']) == 1) {
					$Informationsystem_Controller_Show
							->informationsystemItems()
							->queryBuilder()
							->clearOrderBy()
							->orderBy('RAND()');
				}

				ob_start();
					$Informationsystem_Controller_Show->show(); 
				$newtext = ob_get_clean();
				return $newtext;
		} else {
			return ShortCode_Model::showmessage(Core::_('shortcode.notinfsys_group'));
		}

	}
?>