<?php
	function ShortCode_Handler_shopitem($attr, $text) {
		
		if (!Core::moduleIsActive('shop')) {
			return ShortCode_Model::showmessage(Core::_('shortcode.mod_shop_off'));
		}
		
		if (!is_array($attr)) {
			return '';
		}

		foreach($attr as $key => $value) {
			$attr[$key] = str_replace('*','',$value);
		}
		
		$oXsl = ShortCode_Model::checkXSL($attr);
		if (!($oXsl instanceof Xsl_Model)) {
			return $oXsl;
		}

		if ( isset($attr['id'] ) ) {
			$item_id = $attr['id'];
		} else {
			$item_id = $text;
		}
		$item_id = intval($item_id);
		if ($item_id > 0) {
			$shop_id = 0;
			$oItem = Core_Entity::factory('shop_item',$item_id);
			if (is_null($oItem->name)) {
				return ShortCode_Model::showmessage(Core::_('shortcode.noneshop_item'));
			}
			$shop_id = $oItem->shop->id;

			$oShop = Core_Entity::factory('shop', $shop_id);
			if (is_null($oShop->name)) {
				return ShortCode_Model::showmessage(Core::_('shortcode.noneshop'));
			}
			$Shop_Controller_Show = new Shop_Controller_Show($oShop);
			$Shop_Controller_Show->item = $item_id;
			$Shop_Controller_Show->group = $oItem->shop_group_id;
			$Shop_Controller_Show->limit = 1;
			$Shop_Controller_Show
				->xsl($oXsl);
			if (isset($attr['itemsproperties']) && $attr['itemsproperties'] != 'false') {
				if ( strtolower($attr['itemsproperties']) == 'true') {
					$Shop_Controller_Show->itemsProperties(TRUE);
				} else {
					$ids = explode(',', $attr['itemsproperties']);
					$Shop_Controller_Show->itemsProperties($ids);
				}
			}

			ob_start();
				$Shop_Controller_Show->show(); 
			$newtext = ob_get_clean();
			return $newtext;
		} else {
			return ShortCode_Model::showmessage(Core::_('shortcode.notshop_item'));
		}
	}
?>